exit
fi
git fetch
- for object in $(git ls-tree -r origin/master | awk '{print $4}'); do
+ hook pre-merge
+ git ls-tree -r --name-only origin/master | (while read object; do
[ -e "$object" ] &&
error "'$object' exists." &&
VCSH_CONFLICT=1
done
- [ "$VCSH_CONFLICT" = '1' ] &&
+ [ "$VCSH_CONFLICT" = '1' ]) &&
fatal "will stop after fetching and not try to merge!
Once this situation has been resolved, run 'vcsh run $VCSH_REPO_NAME git pull' to finish cloning." 17
git merge origin/master
+ hook post-merge
hook post-clone
retire
hook post-clone-retired
export GIT_DIR="$VCSH_REPO_D/$VCSH_REPO_NAME.git"
use
git commit --untracked-files=no --quiet
+ VCSH_COMMAND_RETURN_CODE=$?
echo
done
hook post-commit
[ ! -e "$GIT_DIR" ] || fatal "'$GIT_DIR' exists" 10
mkdir -p "$VCSH_BASE" || fatal "could not create '$VCSH_BASE'" 50
cd "$VCSH_BASE" || fatal "could not enter '$VCSH_BASE'" 11
- git init
+ git init --shared=0600
upgrade
hook post-init
}
export GIT_DIR="$VCSH_REPO_D/$VCSH_REPO_NAME.git"
use
git pull
+ VCSH_COMMAND_RETURN_CODE=$?
echo
done
hook post-pull
export GIT_DIR="$VCSH_REPO_D/$VCSH_REPO_NAME.git"
use
git push
+ VCSH_COMMAND_RETURN_CODE=$?
echo
done
hook post-push
hook pre-run
use
"$@"
+ VCSH_COMMAND_RETURN_CODE=$?
hook post-run
}
export GIT_DIR="$VCSH_REPO_D/$VCSH_REPO_NAME.git"
use
git status --short --untracked-files='no'
+ VCSH_COMMAND_RETURN_CODE=$?
else
for VCSH_REPO_NAME in $(list); do
echo "$VCSH_REPO_NAME:"
export GIT_DIR="$VCSH_REPO_D/$VCSH_REPO_NAME.git"
use
git status --short --untracked-files='no'
+ VCSH_COMMAND_RETURN_CODE=$?
echo
done
fi
$VCSH_COMMAND "$@"
hook post-command
verbose "$VCSH_COMMAND end, exiting"
+exit $VCSH_COMMAND_RETURN_CODE